# $Revision: 1.63 $, $Date: 2010/11/13 00:19:15 $
%define		module			gnome-python-desktop
%define		pygtk_req		2:2.12.0
%define		gnome_python_req	2.26.0
#
# Conditional builds:
%bcond_without	totem		# disable totem support
#
Summary:	GNOME bindings for Python
Summary(pl.UTF-8):	Wiązania Pythona do bibliotek GNOME
Name:		python-gnome-desktop
Version:	2.32.0
Release:	3
License:	GPL v2/LGPL v2.1 (see COPYING)
Group:		Libraries/Python
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-python-desktop/2.32/%{module}-%{version}.tar.bz2
# Source0-md5:	0e73fa80ace5c861777e0b523c6ead9d
BuildRequires:	GConf2-devel >= 2.22.0
BuildRequires:	brasero-devel >= 2.30.0
BuildRequires:	bug-buddy >= 2.22.0
BuildRequires:	evince-devel >= 2.32.0
BuildRequires:	evolution-data-server-devel
BuildRequires:	gnome-desktop-devel >= 2.10.0
BuildRequires:	gnome-media-devel >= 2.22.0
BuildRequires:	gnome-panel-devel >= 2.22.0
BuildRequires:	gnome-vfs2-devel >= 2.22.0
BuildRequires:	gtk+2-devel >= 2:2.12.0
BuildRequires:	gtksourceview-devel >= 1.8.4
BuildRequires:	libgnome-keyring-devel >= 2.22.0
BuildRequires:	libgnomeprintui-devel >= 2.18.1
BuildRequires:	libgnomeui-devel
BuildRequires:	libgtop-devel >= 2.22.0
BuildRequires:	librsvg-devel >= 1:2.22.0
BuildRequires:	libwnck-devel >= 2.22.0
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 1:2.3.2
BuildRequires:	python-gnome-devel >= %{gnome_python_req}
BuildRequires:	python-pycairo-devel
BuildRequires:	python-pygtk-devel >= %{pygtk_req}
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.336
%{?with_totem:BuildRequires:	totem-pl-parser-devel >= 1.6.0}
%pyrequires_eq	python-modules
Obsoletes:	python-gnome-desktop-nautilus-cd-burner
Obsoletes:	python-gnome-extras-nautilus-cd-burner
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define pydefsdir %(pkg-config --variable=defsdir pygtk-2.0)

%description
GNOME bindings for Python.

%description -l pl.UTF-8
Wiązania Pythona do bibliotek GNOME.

%package devel
Summary:	Development files for GNOME bindings for Python
Summary(pl.UTF-8):	Pliki programistyczne wiązań Pythona do GNOME
Group:		Libraries/Python
Requires:	%{name}-applet = %{version}-%{release}
Requires:	%{name}-libwnck = %{version}-%{release}
Requires:	%{name}-print = %{version}-%{release}
Requires:	python-gnome-devel >= %{gnome_python_req}
Requires:	python-pygtk-devel >= %{pygtk_req}
Obsoletes:	python-gnome-extras-devel < 2.13.3

%description devel
Development files for GNOME bindings for Python.

%description devel -l pl.UTF-8
Pliki programistyczne wiązań Pythona do GNOME.

%package apidocs
Summary:	GNOME bindings for Python API documentation
Summary(pl.UTF-8):	Dokumentacja API wiązań Pythona do GNOME
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
GNOME bindings for Python API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API wiązań Pythona do GNOME.

%package examples
Summary:	Example programs for python-gnome-desktop
Summary(pl.UTF-8):	Przykładowe programy do python-gnome-desktop
Group:		Libraries/Python
Requires:	%{name}-devel = %{version}-%{release}

%description examples
This package contains example programs for python-gnome-desktop.

%description examples -l pl.UTF-8
Ten pakiet zawiera przykładowe programy dla python-gnome-desktop.

%package applet
Summary:	GNOME Applet bindings for Python
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki GNOME Applet
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python-gnome-ui >= %{gnome_python_req}
Requires:	python-pygtk-glade >= %{pygtk_req}
Provides:	python-gnome-applet
Obsoletes:	python-gnome-applet
Obsoletes:	python-gnome-extras-applet

%description applet
GNOME Applet bindings for Python.

%description applet -l pl.UTF-8
Wiązania Pythona do biblioteki GNOME Applet.

%package brasero
Summary:	Brasero bindings for Python
Summary(pl.UTF-8):	Wiązania Pythona do bibliotek Brasero
Group:		Libraries/Python

%description brasero
Brasero bindings for Python.

%description brasero -l pl.UTF-8
Wiązania Pythona do bibliotek Brasero.

%package evince
Summary:	Evince bindings for Python
Summary(pl.UTF-8):	Wiązania Pythona do bibliotek Evince
Group:		Libraries/Python

%description evince
Evince bindings for Python.

%description evince -l pl.UTF-8
Wiązania Pythona do bibliotek Evince.

%package evolution
Summary:	Evolution bindings for Python
Summary(pl.UTF-8):	Wiązania Pythona do bibliotek Evolution
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python-gnome-ui >= %{gnome_python_req}
Requires:	python-pygtk-glade >= %{pygtk_req}
Provides:	python-evolution
Obsoletes:	python-evolution

%description evolution
Evolution bindings for Python.

%description evolution -l pl.UTF-8
Wiązania Pythona do bibliotek Evolution.

%package gtksourceview
Summary:	Gtksourceview bindings for Python
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki gtksourceview
Group:		Libraries/Python
Requires:	%{name}-print = %{version}-%{release}
Obsoletes:	python-gnome-extras-gtksourceview

%description gtksourceview
Gtksourceview bindings for Python.

%description gtksourceview -l pl.UTF-8
Wiązania Pythona do biblioteki gtksourceview.

%package keyring
Summary:	GNOME keyring bindings for Python
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki GNOME keyring
Group:		Libraries/Python
Requires:	python-pygobject >= 2.14.0

%description keyring
GNOME keyring bindings for Python.

%description keyring -l pl.UTF-8
Wiązania Pythona do biblioteki GNOME keyring.

%package libgtop
Summary:	Libgtop bindings for Python
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki libgtop
Group:		Libraries/Python
Requires:	python-pygobject >= 2.14.0
Obsoletes:	python-gnome-extras-libgtop

%description libgtop
Libgtop bindings for Python.

%description libgtop -l pl.UTF-8
Wiązania Pythona do biblioteki libgtop.

%package librsvg
Summary:	Librsvg bindings for Python
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki librsvg
Group:		Libraries/Python
Requires:	librsvg >= 1:2.22.0

%description librsvg
Librsvg bindings for Python.

%description librsvg -l pl.UTF-8
Wiązania Pythona do biblioteki librsvg.

%package libwnck
Summary:	Libwnck bindings for Python
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki libwnck
Group:		Libraries/Python
Requires:	python-pygtk-gtk >= %{pygtk_req}
Obsoletes:	python-gnome-extras-libwnck

%description libwnck
Libwnck bindings for Python.

%description libwnck -l pl.UTF-8
Wiązania Pythona do biblioteki libwnck.

%package mediaprofiles
Summary:	gnome-media-profiles bindings for Python
Summary(pl.UTF-8):	Wiązania Pythona do gnome-media-profiles
Group:		Libraries/Python
Requires:	python-gnome-ui >= %{gnome_python_req}
Requires:	python-pygtk-glade >= %{pygtk_req}
Obsoletes:	python-gnome-extras-mediaprofiles

%description mediaprofiles
gnome-media-profiles bindings for Python.

%description mediaprofiles -l pl.UTF-8
Wiązania Pythona do gnome-media-profiles.

%package print
Summary:	GNOME Print bindings for Python
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki GNOME obsługi drukowania
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python-gnome-canvas >= %{gnome_python_req}
Provides:	python-gnome-print
Provides:	python-gnome-print-ui
Obsoletes:	python-gnome-extras-print
Obsoletes:	python-gnome-print
Obsoletes:	python-gnome-print-ui

%description print
GNOME Print bindings for Python.

%description print -l pl.UTF-8
Wiązania Pythona do biblioteki GNOME obsługi drukowania.

%package totem
Summary:	Totem bindings for Python
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki totem
Group:		Libraries/Python
Requires:	python-gnome-vfs >= %{gnome_python_req}
Requires:	python-pygtk-gtk >= %{pygtk_req}
Obsoletes:	python-gnome-extras-totem

%description totem
Totem bindings for Python.

%description totem -l pl.UTF-8
Wiązania Pythona do biblioteki totem.

%prep
%setup -q -n %{module}-%{version}

%build
./waf configure \
	--prefix %{_prefix} \
	--libdir %{_libdir}
./waf -v build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

./waf install \
	--destdir $RPM_BUILD_ROOT

# workaround http://bugzilla.gnome.org/show_bug.cgi?id=555137
install bugbuddy.py $RPM_BUILD_ROOT%{py_sitedir}/gtk-2.0/bugbuddy.py

# waf installs modules with wrong permissions
find $RPM_BUILD_ROOT%{py_sitedir} -name "*.so" -exec chmod +x {} \;

%py_comp $RPM_BUILD_ROOT%{py_sitedir}/gtk-2.0
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}/gtk-2.0

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

rm -f $RPM_BUILD_ROOT%{py_sitedir}/gtk-2.0/{{*.la,*.py},*/{*.la,*.py}}

# wscript doesn't allow to pass proper gtk-doc dir
if [ ! -d $RPM_BUILD_ROOT%{_gtkdocdir} ]; then
	install -d $RPM_BUILD_ROOT%{_gtkdocdir}
	mv $RPM_BUILD_ROOT%{_datadir}/gtk-doc/html/* $RPM_BUILD_ROOT%{_gtkdocdir}
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS
%dir %{py_sitedir}/gtk-2.0/gnomedesktop
%attr(755,root,root) %{py_sitedir}/gtk-2.0/gnomedesktop/_gnomedesktop.so
%{py_sitedir}/gtk-2.0/gnomedesktop/__init__.py[co]
%{py_sitedir}/gtk-2.0/bugbuddy.py[co]

%files devel
%defattr(644,root,root,755)
%{pydefsdir}/*.defs
%{_pkgconfigdir}/gnome-python-desktop-2.0.pc

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/pygnomeprint
%{_gtkdocdir}/pygnomeprintui
%{_gtkdocdir}/pygtksourceview

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%files applet
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/gtk-2.0/gnomeapplet.so

%files brasero
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/gtk-2.0/braseroburn.so
%attr(755,root,root) %{py_sitedir}/gtk-2.0/braseromedia.so

%files evince
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/gtk-2.0/evince.so

%files evolution
%defattr(644,root,root,755)
%dir %{py_sitedir}/gtk-2.0/evolution
%attr(755,root,root) %{py_sitedir}/gtk-2.0/evolution/ebook.so
%attr(755,root,root) %{py_sitedir}/gtk-2.0/evolution/ecal.so
%{py_sitedir}/gtk-2.0/evolution/__init__.py[co]

%files gtksourceview
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/gtk-2.0/gtksourceview.so

%files keyring
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/gtk-2.0/gnomekeyring.so

%files libgtop
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/gtk-2.0/gtop.so

%files librsvg
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/gtk-2.0/rsvg.so

%files libwnck
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/gtk-2.0/wnck.so

%files mediaprofiles
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/gtk-2.0/mediaprofiles.so

%files print
%defattr(644,root,root,755)
%dir %{py_sitedir}/gtk-2.0/gnomeprint
%attr(755,root,root) %{py_sitedir}/gtk-2.0/gnomeprint/_print.so
%attr(755,root,root) %{py_sitedir}/gtk-2.0/gnomeprint/ui.so
%{py_sitedir}/gtk-2.0/gnomeprint/__init__.py[co]

%if %{with totem}
%files totem
%defattr(644,root,root,755)
%dir %{py_sitedir}/gtk-2.0/totem
%attr(755,root,root) %{py_sitedir}/gtk-2.0/totem/plparser.so
%{py_sitedir}/gtk-2.0/totem/__init__.py[co]
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-gnome-desktop.spec,v $
Revision 1.63  2010/11/13 00:19:15  pawelz
- release 3

Revision 1.62  2010/10/03 14:49:56  megabajt
- release 2

Revision 1.61  2010/09/30 21:16:13  megabajt
- updated to 2.32.0

Revision 1.60  2010/09/21 19:00:13  glen
- release 6

Revision 1.59  2010/08/14 19:17:08  lisu
- rel 5

Revision 1.58  2010/07/09 11:21:54  arekm
- release 4

Revision 1.57  2010/07/09 10:49:09  arekm
- release 3

Revision 1.56  2010/07/08 08:12:04  arekm
- release 2

Revision 1.55  2010/06/25 16:56:59  megabajt
- updated to 2.30.2

Revision 1.54  2010/05/13 19:42:10  sparky
- BR: libgnome-keyring-devel, libgnomeui-devel
- dropped BR: gnome-keyring-devel, libtool

Revision 1.53  2010/04/30 16:02:26  megabajt
- don't build nautilus-cd-burner module (obsoleted by brasero)
- release 2

Revision 1.52  2010/04/01 09:36:29  megabajt
- updated to 2.30.0; merged changes from DEVEL

Revision 1.51.2.1  2010/03/02 11:40:39  patrys
- 2.29.1

Revision 1.51  2009/11/26 21:12:24  sparky
- BR: evince-devel
- added brasero and evince subpackages

Revision 1.50  2009/11/25 15:31:40  sparky
- BR: brasero-devel, evolution-data-server-devel, rpm-pythonprov

Revision 1.49  2009/10/17 01:00:16  wrobell
- rel. 2

Revision 1.48  2009/10/16 23:48:18  wrobell
- ver. 2.28.0

Revision 1.47  2009/03/18 14:43:03  patrys
- 2.26.0
- use bundled waf
- don't change it back to system waf, waf is not indended to be used that way

Revision 1.46  2009/03/14 23:22:48  hawk
- back to system waf

Revision 1.45  2009/03/14 23:20:10  hawk
- this version doesn't build with waf 1.5.x, use bundled waf to get it
  rebuilt for python 2.6 in Titanium

Revision 1.44  2009/02/03 17:52:05  megabajt
- added workaround for broken wscripts (now rpm finds deps for *.so modules) lp#324670
- release 2

Revision 1.43  2008/12/21 18:25:37  megabajt
- updated to 2.24.1

Revision 1.42  2008/10/06 12:56:45  megabajt
- added workaround for GNOME#555137
- release 2

Revision 1.41  2008/10/04 15:41:29  megabajt
- updated to 2.24.0; merged changes from DEVEL

Revision 1.40  2008/10/03 17:50:22  arekm
- release 5

Revision 1.39.2.3  2008/09/04 10:15:58  patrys
- 2.23.1

Revision 1.39.2.2  2008/08/06 07:30:58  patrys
- fix evo package

Revision 1.39.2.1  2008/06/16 10:31:45  patrys
- 2.23.0

Revision 1.39  2008-05-03 17:55:20  megabajt
- added -gnomekeyring-result-check.patch (fixes lp#226170 and gnome#531254)
- release 4

Revision 1.38  2008-04-26 22:24:42  megabajt
- fix typo in name of pkgconfig file
- release 3

Revision 1.37  2008-04-26 22:10:02  megabajt
- release 2

Revision 1.36  2008-04-15 21:22:51  qboosh
- more verbose files

Revision 1.35  2008-03-30 22:05:49  sls
- BR: gnome-desktop-devel >= 2.10.0

Revision 1.34  2008-03-25 20:18:38  qboosh
- use system waf and waf/__waf rpm macros to use optflags
- use waf -v build to avoid hiding compiler commands

Revision 1.33  2008-03-25 18:51:32  sls
- move apidocs to _gtkdocdir from _datadir/gtk-doc/html

Revision 1.32  2008-03-20 17:58:41  qboosh
- use _gtkdocdir as apidocs location (install fix needed, release 1.1)

Revision 1.31  2008-03-12 15:04:28  patrys
- 2.22.0
- metacity bindings no longer supported upstream
- do not obsolete metacity subpackage as there is no replacement

Revision 1.30  2007-12-13 08:41:05  megabajt
- added apidocs subpackage
- release 2

Revision 1.29  2007-09-18 17:52:32  megabajt
- updated deps

Revision 1.28  2007/09/16 19:25:02  patrys
- 2.20.0

Revision 1.27  2007/03/12 18:49:37  megabajt
- missing BR: bug-buddy
- release 2

Revision 1.26  2007/03/12 18:41:15  megabajt
- updated to 2.18.0

Revision 1.25  2007/03/05 16:58:35  megabajt
- updated to 2.17.93

Revision 1.24  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.23  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.22  2006/09/27 18:39:35  wrobell
- rel. 3 to rebuild with python 2.5 (final)

Revision 1.21  2006/09/09 01:14:45  patrys
- rebuild

Revision 1.20  2006/09/06 18:31:24  grzegol
- 2.16.0

Revision 1.19  2006/08/27 12:49:10  havner
- rebuild with 2.5
- rel 3

Revision 1.18  2006/08/09 19:17:01  freetz
- rel.2, update deps

Revision 1.17  2006/07/30 03:13:28  aredridel
- BR: python-pycairo-devel

Revision 1.16  2006/07/26 17:46:57  freetz
- 2.15.90

Revision 1.15  2006/07/13 21:14:06  freetz
- 2.15.4, updated deps

Revision 1.14  2006/06/21 09:41:56  qboosh
- cleanup

Revision 1.13  2006/06/16 18:36:23  freetz
- corrected bogus changelog entry

Revision 1.12  2006/06/16 18:14:19  freetz
- 2.15.3, updated deps, added keyring subpackage

Revision 1.11  2006/06/08 22:36:14  freetz
- 2.15.2, GNOME 2.15.x deps, librsvg binding added, updated file list

Revision 1.10  2006/05/17 14:57:20  qboosh
- more

Revision 1.9  2006/05/17 14:56:32  qboosh
- GNOME 2.14 deps (merged from AC-branch)

Revision 1.8  2006/04/21 20:24:20  qboosh
- tab

Revision 1.7  2006/04/18 05:06:52  aredridel
- desktop R: python-gnome-devel

Revision 1.6  2006/03/13 08:04:26  freetz
- 2.14.0

Revision 1.5  2006/01/31 20:43:27  qboosh
- unified

Revision 1.4  2006/01/31 18:00:11  patrys
- proper R: on libgtop

Revision 1.3  2006/01/31 16:12:13  freetz
- more tunnig

Revision 1.2  2006/01/31 16:07:16  freetz
- added Obsolets on old -extras packages

Revision 1.1  2006/01/31 15:55:32  freetz
- stolen from -extras
